Develop v1
Reference for the Develop v1 endpoints on Roblox.
Base URL: https://develop.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
GET |
/v1/assets/voting |
getAssetsVoting |
GET |
/v1/gametemplates |
getGametemplates |
GET |
/v1/groups/:groupId/universes |
getGroupsGroupidUniverses |
POST |
/v1/places/:placeId |
postPlacesPlaceid |
PATCH |
/v1/places/:placeId |
patchPlacesPlaceid |
GET |
/v1/places/:placeId/teamcreate/active_session/members |
getPlacesPlaceidTeamcreateActive_sessionMembers |
GET |
/v1/plugins |
getPlugins |
PATCH |
/v1/plugins/:pluginId |
patchPluginsPluginid |
GET |
/v1/universes/:universeId |
getUniversesUniverseid |
POST |
/v1/universes/:universeId/activate |
postUniversesUniverseidActivate |
GET |
/v1/universes/:universeId/activation-eligibility |
getUniversesUniverseidActivationEligibility |
GET |
/v1/universes/:universeId/configuration |
getUniversesUniverseidConfiguration |
PATCH |
/v1/universes/:universeId/configuration |
patchUniversesUniverseidConfiguration |
GET |
/v1/universes/:universeId/configuration/playtesters |
getUniversesUniverseidConfigurationPlaytesters |
POST |
/v1/universes/:universeId/configuration/playtesters |
postUniversesUniverseidConfigurationPlaytesters |
DELETE |
/v1/universes/:universeId/configuration/playtesters |
deleteUniversesUniverseidConfigurationPlaytesters |
GET |
/v1/universes/:universeId/configuration/vip-servers |
getUniversesUniverseidConfigurationVipServers |
POST |
/v1/universes/:universeId/deactivate |
postUniversesUniverseidDeactivate |
GET |
/v1/universes/:universeId/permissions |
getUniversesUniverseidPermissions |
GET |
/v1/universes/:universeId/places |
getUniversesUniverseidPlaces |
GET |
/v1/universes/:universeId/teamcreate |
getUniversesUniverseidTeamcreate |
PATCH |
/v1/universes/:universeId/teamcreate |
patchUniversesUniverseidTeamcreate |
DELETE |
/v1/universes/:universeId/teamcreate/memberships |
deleteUniversesUniverseidTeamcreateMemberships |
GET |
/v1/universes/multiget |
getUniversesMultiget |
GET |
/v1/universes/multiget/permissions |
getUniversesMultigetPermissions |
GET |
/v1/universes/multiget/teamcreate |
getUniversesMultigetTeamcreate |
GET |
/v1/universes/user-public-publish-eligibility |
getUniversesUserPublicPublishEligibility |
GET |
/v1/user/groups/canmanage |
getUserGroupsCanmanage |
GET |
/v1/user/groups/canmanagegamesoritems |
getUserGroupsCanmanagegamesoritems |
GET |
/v1/user/universes |
getUserUniverses |
getAssetsVoting
Section titled “getAssetsVoting”GET /v1/assets/voting
Gets the voting information of the given assets
Usage
import { fetchApi } from 'rozod';import { getAssetsVoting } from 'rozod/endpoints/developv1';
const data = await fetchApi(getAssetsVoting, { assetIds: /* number */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
assetIds |
number |
Yes | The ids of the Roblox.Platform.Assets.IAsset. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
assetId |
number |
|
hasUserVoted |
boolean |
|
canUserVote |
boolean |
|
shouldShowVotes |
boolean |
|
upVotes |
number |
|
downVotes |
number |
|
reasonForNotAbleToVote |
string |
getGametemplates
Section titled “getGametemplates”GET /v1/gametemplates
Gets a page of templates that can be used to start off making games.
Usage
import { fetchApi } from 'rozod';import { getGametemplates } from 'rozod/endpoints/developv1';
const data = await fetchApi(getGametemplates, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
gameTemplateType |
string |
|
hasTutorials |
boolean |
|
universe |
object |
See below |
universe fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
description |
string |
|
isArchived |
boolean |
|
rootPlaceId |
number |
|
isActive |
boolean |
|
privacyType |
string |
|
creatorType |
string |
|
creatorTargetId |
number |
|
creatorName |
string |
|
created |
string |
|
updated |
string |
|
audiences |
`0 | 1 |
getGroupsGroupidUniverses
Section titled “getGroupsGroupidUniverses”GET /v1/groups/:groupId/universes
Gets a list of universes for the given group.
Usage
import { fetchApi } from 'rozod';import { getGroupsGroupidUniverses } from 'rozod/endpoints/developv1';
const data = await fetchApi(getGroupsGroupidUniverses, { groupId: /* integer */, isArchived: /* boolean? */, cursor: /* string? */, sortOrder: /* enum */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
groupId |
integer |
Yes | The group id. |
isArchived |
boolean? |
No | Whether or not to return archived games. |
cursor |
string? |
No | The paging cursor for the previous or next page. |
sortOrder |
enum |
Yes | Sorted by universeId |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
previousPageCursor |
string |
|
nextPageCursor |
string |
|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
description |
string |
|
isArchived |
boolean |
|
rootPlaceId |
number |
|
isActive |
boolean |
|
privacyType |
string |
|
creatorType |
string |
|
creatorTargetId |
number |
|
creatorName |
string |
|
created |
string |
|
updated |
string |
|
audiences |
`0 | 1 |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Invalid groupId. |
postPlacesPlaceid
Section titled “postPlacesPlaceid”POST /v1/places/:placeId
Updates the place configuration for the place with the id placeId
Usage
import { fetchApi } from 'rozod';import { postPlacesPlaceid } from 'rozod/endpoints/developv1';
const data = await fetchApi(postPlacesPlaceid, { placeId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
placeId |
integer |
Yes | The place id for the place to be updated. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
name |
string |
|
description |
string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
id |
number |
|
universeId |
number |
|
name |
string |
|
description |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | placeId is invalid. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | Authenticated user is not authorized to manage this place. 0: Token Validation Failed |
patchPlacesPlaceid
Section titled “patchPlacesPlaceid”PATCH /v1/places/:placeId
Updates the place configuration for the place with the id placeId
Usage
import { fetchApi } from 'rozod';import { patchPlacesPlaceid } from 'rozod/endpoints/developv1';
const data = await fetchApi(patchPlacesPlaceid, { placeId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
placeId |
integer |
Yes | The place id for the place to be updated. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
name |
string |
|
description |
string |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
id |
number |
|
universeId |
number |
|
name |
string |
|
description |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | placeId is invalid. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | Authenticated user is not authorized to manage this place. 0: Token Validation Failed |
getPlacesPlaceidTeamcreateActive_sessionMembers
Section titled “getPlacesPlaceidTeamcreateActive_sessionMembers”GET /v1/places/:placeId/teamcreate/active_session/members
List of users in the active Team Create session
Usage
import { fetchApi } from 'rozod';import { getPlacesPlaceidTeamcreateActive_sessionMembers } from 'rozod/endpoints/developv1';
const data = await fetchApi(getPlacesPlaceidTeamcreateActive_sessionMembers, { placeId: /* integer */, cursor: /* string? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
placeId |
integer |
Yes | The place Id. |
cursor |
string? |
No | The paging cursor for the previous or next page. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
displayName |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe is invalid. 5: The place is invalid. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 2: Not authorized to perform this action. 4: TeamCreate on universe is disabled. |
| 404 | 0: An unknown error occurred. |
| 500 | 6: Multiple active sessions in a Team Create place. |
getPlugins
Section titled “getPlugins”GET /v1/plugins
Gets plugin details by ids.
Usage
import { fetchApi } from 'rozod';import { getPlugins } from 'rozod/endpoints/developv1';
const data = await fetchApi(getPlugins, { pluginIds: /* number */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
pluginIds |
number |
Yes | The plugin ids. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
description |
string |
|
commentsEnabled |
boolean |
|
versionId |
number |
|
created |
string |
|
updated |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: Too many ids. 2: The format of the ids are invalid. |
patchPluginsPluginid
Section titled “patchPluginsPluginid”PATCH /v1/plugins/:pluginId
Updates a plugin.
Usage
import { fetchApi } from 'rozod';import { patchPluginsPluginid } from 'rozod/endpoints/developv1';
const data = await fetchApi(patchPluginsPluginid, { pluginId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
pluginId |
integer |
Yes | The id of the plugin. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
name |
string |
|
description |
string |
|
commentsEnabled |
boolean |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 5: Description too long. 6: Text moderated. 7: Invalid name. 8: The request body is missing. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 4: Insufficient permissions. |
| 404 | 3: The id is invalid. |
getUniversesUniverseid
Section titled “getUniversesUniverseid”GET /v1/universes/:universeId
Gets a Roblox.Api.Develop.Models.UniverseModel.
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseid } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesUniverseid, { universeId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The Universe id. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
description |
string |
|
isArchived |
boolean |
|
rootPlaceId |
number |
|
isActive |
boolean |
|
privacyType |
string |
|
creatorType |
string |
|
creatorTargetId |
number |
|
creatorName |
string |
|
created |
string |
|
updated |
string |
|
audiences |
`0 | 1 |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. |
postUniversesUniverseidActivate
Section titled “postUniversesUniverseidActivate”POST /v1/universes/:universeId/activate
Activates a universes.
Usage
import { fetchApi } from 'rozod';import { postUniversesUniverseidActivate } from 'rozod/endpoints/developv1';
const data = await fetchApi(postUniversesUniverseidActivate, { universeId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe id. |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. 2: This universe does not have a root place. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 3: You are not authorized to configure this universe. 6: The root place for this universe is under review and can not be activated. 7: Creator already has the maximum number of places active. |
getUniversesUniverseidActivationEligibility
Section titled “getUniversesUniverseidActivationEligibility”GET /v1/universes/:universeId/activation-eligibility
Returns the result of various checks for a user’s eligibility to activate a given universe from private to public universeId for authenticated user
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseidActivationEligibility } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesUniverseidActivationEligibility, { universeId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe id. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
isEligible |
boolean |
|
maturityRated |
boolean |
|
isUserEligibleForPublicPublish |
boolean |
|
remainingPublicPublishCount |
number |
|
isPublicPublish |
boolean |
|
isPublishToExistingUniverse |
boolean |
|
isUniverseSelect |
boolean |
|
creatorTier |
`“Invalid” | “Blocked” |
allowedAudiences |
`0 | 1 |
provisionalRatingAllowed |
boolean |
|
provisionalRating |
object |
See below |
provisionalRating fields:
| Field | Type | Description |
|---|---|---|
ageRecommendationDetails |
object |
See below |
restrictedCountries |
object[] |
See below |
ageRecommendationDetails fields:
| Field | Type | Description |
|---|---|---|
ageRecommendationSummary |
object |
See below |
experienceDescriptorUsages |
object[] |
See below |
ageRecommendationSummary fields:
| Field | Type | Description |
|---|---|---|
ageRecommendation |
object |
See below |
ageRecommendation fields:
| Field | Type | Description |
|---|---|---|
displayName |
object |
|
minimumAge |
object |
|
displayNameWithHeaderShort |
object |
|
minimumAgeDisplay |
object |
|
contentMaturity |
object |
|
igrsRating |
object |
|
igrsRatingDisplayMessage |
object |
experienceDescriptorUsages[] item fields:
| Field | Type | Description |
|---|---|---|
name |
string |
|
followsComplianceApi |
boolean |
|
experienceDescriptor |
object |
See below |
experienceDescriptorDimensionUsages |
object[] |
See below |
contains |
boolean |
|
ageRange |
object |
See below |
descriptorDisplayName |
string |
|
ageRangeDisplayName |
string |
experienceDescriptor fields:
| Field | Type | Description |
|---|---|---|
name |
object |
|
displayName |
object |
|
complianceApiSupported |
object |
|
iconUrl |
object |
experienceDescriptorDimensionUsages[] item fields:
| Field | Type | Description |
|---|---|---|
dimensionName |
object |
|
dimensionValue |
object |
ageRange fields:
| Field | Type | Description |
|---|---|---|
minAgeInclusive |
object |
|
maxAgeInclusive |
object |
restrictedCountries[] item fields:
| Field | Type | Description |
|---|---|---|
countryCode |
string |
|
experienceDescriptorUsages |
object[] |
See below |
countryDisplayName |
string |
experienceDescriptorUsages[] item fields:
| Field | Type | Description |
|---|---|---|
name |
string |
|
followsComplianceApi |
boolean |
|
experienceDescriptor |
object |
See below |
experienceDescriptorDimensionUsages |
object[] |
See below |
contains |
boolean |
|
ageRange |
object |
See below |
descriptorDisplayName |
string |
|
ageRangeDisplayName |
string |
experienceDescriptor fields:
| Field | Type | Description |
|---|---|---|
name |
object |
|
displayName |
object |
|
complianceApiSupported |
object |
|
iconUrl |
object |
experienceDescriptorDimensionUsages[] item fields:
| Field | Type | Description |
|---|---|---|
dimensionName |
object |
|
dimensionValue |
object |
ageRange fields:
| Field | Type | Description |
|---|---|---|
minAgeInclusive |
object |
|
maxAgeInclusive |
object |
getUniversesUniverseidConfiguration
Section titled “getUniversesUniverseidConfiguration”GET /v1/universes/:universeId/configuration
Get settings for an owned universe.
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseidConfiguration } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesUniverseidConfiguration, { universeId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe Id. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
allowPrivateServers |
boolean |
|
privateServerPrice |
number |
|
isMeshTextureApiAccessAllowed |
boolean |
|
isRewardedOnDemandAdsAllowed |
boolean |
|
id |
number |
|
name |
string |
|
promotionalText |
string |
|
universeAvatarType |
`“MorphToR6” | “PlayerChoice” |
universeScaleType |
`“NoScales” | “AllScales”` |
universeAnimationType |
`“Standard” | “PlayerChoice”` |
universeCollisionType |
`“InnerBox” | “OuterBox”` |
universeBodyType |
`“Standard” | “PlayerChoice”` |
universeJointPositioningType |
`“Standard” | “ArtistIntent”` |
isArchived |
boolean |
|
isFriendsOnly |
boolean |
|
genre |
`“All” | “Tutorial” |
playableDevices |
`1 | 2 |
isForSale |
boolean |
|
price |
number |
|
isStudioAccessToApisAllowed |
boolean |
|
privacyType |
string |
|
isForSaleInFiat |
boolean |
|
fiatBasePriceId |
string |
|
fiatModerationStatus |
`“Invalid” | “NotModerated” |
audiences |
`0 | 1 |
demoModeEnabled |
boolean |
|
demoModeChangeableAfter |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 2: You are not authorized to configure this universe. |
patchUniversesUniverseidConfiguration
Section titled “patchUniversesUniverseidConfiguration”PATCH /v1/universes/:universeId/configuration
Update universe settings for an owned universe.
Usage
import { fetchApi } from 'rozod';import { patchUniversesUniverseidConfiguration } from 'rozod/endpoints/developv1';
const data = await fetchApi(patchUniversesUniverseidConfiguration, { universeId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universeId. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
name |
string |
|
universeAvatarType |
`1 | 2 |
universeScaleType |
`1 | 2` |
universeAnimationType |
`1 | 2` |
universeCollisionType |
`1 | 2` |
universeBodyType |
`1 | 2` |
universeJointPositioningType |
`1 | 2` |
isArchived |
boolean |
|
isFriendsOnly |
boolean |
|
genre |
`0 | 1 |
playableDevices |
`1 | 2 |
isForSale |
boolean |
|
price |
number |
|
isMeshTextureApiAccessAllowed |
boolean |
|
isRewardedOnDemandAdsAllowed |
boolean |
|
fiatBasePriceId |
string |
|
fiatProductChangeType |
`0 | 1 |
demoModeEnabled |
boolean |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
allowPrivateServers |
boolean |
|
privateServerPrice |
number |
|
isMeshTextureApiAccessAllowed |
boolean |
|
isRewardedOnDemandAdsAllowed |
boolean |
|
id |
number |
|
name |
string |
|
promotionalText |
string |
|
universeAvatarType |
`“MorphToR6” | “PlayerChoice” |
universeScaleType |
`“NoScales” | “AllScales”` |
universeAnimationType |
`“Standard” | “PlayerChoice”` |
universeCollisionType |
`“InnerBox” | “OuterBox”` |
universeBodyType |
`“Standard” | “PlayerChoice”` |
universeJointPositioningType |
`“Standard” | “ArtistIntent”` |
isArchived |
boolean |
|
isFriendsOnly |
boolean |
|
genre |
`“All” | “Tutorial” |
playableDevices |
`1 | 2 |
isForSale |
boolean |
|
price |
number |
|
isStudioAccessToApisAllowed |
boolean |
|
privacyType |
string |
|
isForSaleInFiat |
boolean |
|
fiatBasePriceId |
string |
|
fiatModerationStatus |
`“Invalid” | “NotModerated” |
audiences |
`0 | 1 |
demoModeEnabled |
boolean |
|
demoModeChangeableAfter |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. 3: Invalid UniverseAvatarType. 4: Invalid UniverseScaleType. 5: Invalid UniverseAnimationType. 6: Invalid UniverseCollisionType. 7: New universe name or description has been rejected. 8: New universe name is too long. 10: Invalid UniverseBodyType. 11: Invalid UniverseJointPositioningType. 12: The universe has no root place. 15: Price is required when isForSale is true. 16: This game cannot be offered for sale because it is not public. 17: This game cannot be offered for sale because it has private servers enabled. 18: The game price is outside of the allowed range. 19: Invalid genre. 20: The request body is missing. 21: Invalid device type. 22: Invalid asset type. 23: Invalid value, the min must be less than or equal to the max 24: Invalid scale value 41: You cannot change the private server price again so soon after the previous change. Please try again later. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 2: You are not authorized to configure this universe. 14: You are not authorized to sell games. |
| 409 | 9: Failed to shutdown all intances of game after changing AvatarType. The change has been reverted. |
getUniversesUniverseidConfigurationPlaytesters
Section titled “getUniversesUniverseidConfigurationPlaytesters”GET /v1/universes/:universeId/configuration/playtesters
Get the list of playtesters for an owned universe.
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseidConfigurationPlaytesters } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesUniverseidConfigurationPlaytesters, { universeId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe Id. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
playtesters |
number[] |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 2: You are not authorized to configure this universe. |
postUniversesUniverseidConfigurationPlaytesters
Section titled “postUniversesUniverseidConfigurationPlaytesters”POST /v1/universes/:universeId/configuration/playtesters
Add playtesters to an owned universe. Existing ids are ignored (additive union).
Usage
import { fetchApi } from 'rozod';import { postUniversesUniverseidConfigurationPlaytesters } from 'rozod/endpoints/developv1';
const data = await fetchApi(postUniversesUniverseidConfigurationPlaytesters, { universeId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe Id. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
playtesters |
number[] |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
playtesters |
number[] |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. 48: The playtesters list is missing or empty. 49: Too many playtesters were specified in a single request. 51: One or more playtesters cannot be added due to safety restrictions. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 2: You are not authorized to configure this universe. |
deleteUniversesUniverseidConfigurationPlaytesters
Section titled “deleteUniversesUniverseidConfigurationPlaytesters”DELETE /v1/universes/:universeId/configuration/playtesters
Remove playtesters from an owned universe.
Usage
import { fetchApi } from 'rozod';import { deleteUniversesUniverseidConfigurationPlaytesters } from 'rozod/endpoints/developv1';
const data = await fetchApi(deleteUniversesUniverseidConfigurationPlaytesters, { universeId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe Id. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
playtesters |
number[] |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
playtesters |
number[] |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. 48: The playtesters list is missing or empty. 49: Too many playtesters were specified in a single request. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 2: You are not authorized to configure this universe. |
getUniversesUniverseidConfigurationVipServers
Section titled “getUniversesUniverseidConfigurationVipServers”GET /v1/universes/:universeId/configuration/vip-servers
Get settings for an owned universe’s VIP servers.
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseidConfigurationVipServers } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesUniverseidConfigurationVipServers, { universeId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe Id. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
isEnabled |
boolean |
|
price |
number |
|
activeServersCount |
number |
|
activeSubscriptionsCount |
number |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 2: You are not authorized to configure this universe. |
postUniversesUniverseidDeactivate
Section titled “postUniversesUniverseidDeactivate”POST /v1/universes/:universeId/deactivate
Deactivates a universe.
Usage
import { fetchApi } from 'rozod';import { postUniversesUniverseidDeactivate } from 'rozod/endpoints/developv1';
const data = await fetchApi(postUniversesUniverseidDeactivate, { universeId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe id. |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. 2: This universe does not have a root place. |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed 3: You are not authorized to configure this universe. |
getUniversesUniverseidPermissions
Section titled “getUniversesUniverseidPermissions”GET /v1/universes/:universeId/permissions
Returns list of granted and declined permissions related to the universe with the id universeId for authenticated user
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseidPermissions } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesUniverseidPermissions, { universeId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe id. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
canManage |
boolean |
|
canCloudEdit |
boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: The universe does not exist. |
| 401 | 0: Authorization has been denied for this request. |
getUniversesUniverseidPlaces
Section titled “getUniversesUniverseidPlaces”GET /v1/universes/:universeId/places
Gets a list of places for a universe.
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseidPlaces } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesUniverseidPlaces, { universeId: /* integer */, isUniverseCreation: /* boolean? */, cursor: /* string? */, sortOrder: /* enum */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The asset id. |
isUniverseCreation |
boolean? |
No | |
cursor |
string? |
No | The paging cursor for the previous or next page. |
sortOrder |
enum |
Yes | Sorted by placeId |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
previousPageCursor |
string |
|
nextPageCursor |
string |
|
data |
unknown[] |
getUniversesUniverseidTeamcreate
Section titled “getUniversesUniverseidTeamcreate”GET /v1/universes/:universeId/teamcreate
Gets TeamCreate settings for an Roblox.Platform.Universes.IUniverse.
Usage
import { fetchApi } from 'rozod';import { getUniversesUniverseidTeamcreate } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesUniverseidTeamcreate, { universeId: /* integer */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe Id. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
isEnabled |
boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Roblox.Api.Develop.ResponseEnums.TeamCreateErrors.InvalidUniverse |
| 401 | 0: Authorization has been denied for this request. |
| 403 | Roblox.Api.Develop.ResponseEnums.TeamCreateErrors.Unauthorized |
patchUniversesUniverseidTeamcreate
Section titled “patchUniversesUniverseidTeamcreate”PATCH /v1/universes/:universeId/teamcreate
Edit team create settings for a universe.
Usage
import { fetchApi } from 'rozod';import { patchUniversesUniverseidTeamcreate } from 'rozod/endpoints/developv1';
const data = await fetchApi(patchUniversesUniverseidTeamcreate, { universeId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe Id. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
isEnabled |
boolean |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Roblox.Api.Develop.ResponseEnums.TeamCreateErrors.InvalidUniverse |
| 401 | 0: Authorization has been denied for this request. |
| 403 | Roblox.Api.Develop.ResponseEnums.TeamCreateErrors.Unauthorized 0: Token Validation Failed |
deleteUniversesUniverseidTeamcreateMemberships
Section titled “deleteUniversesUniverseidTeamcreateMemberships”DELETE /v1/universes/:universeId/teamcreate/memberships
Removes a user from a TeamCreate permissions list.
Usage
import { fetchApi } from 'rozod';import { deleteUniversesUniverseidTeamcreateMemberships } from 'rozod/endpoints/developv1';
const data = await fetchApi(deleteUniversesUniverseidTeamcreateMemberships, { universeId: /* integer */, body: { /* ... */ }});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
universeId |
integer |
Yes | The universe Id. |
Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
userId |
number |
Response
Section titled “Response”Type: unknown
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Roblox.Api.Develop.ResponseEnums.TeamCreateErrors.InvalidUniverse OR Roblox.Api.Develop.ResponseEnums.TeamCreateErrors.InvalidUser |
| 401 | 0: Authorization has been denied for this request. |
| 403 | Roblox.Api.Develop.ResponseEnums.TeamCreateErrors.TeamCreateDisabled 0: Token Validation Failed |
getUniversesMultiget
Section titled “getUniversesMultiget”GET /v1/universes/multiget
Gets a list of universes.
Usage
import { fetchApi } from 'rozod';import { getUniversesMultiget } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesMultiget, { ids: /* number */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
ids |
number |
Yes | The universe IDs to get. Limit 100. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
description |
string |
|
isArchived |
boolean |
|
rootPlaceId |
number |
|
isActive |
boolean |
|
privacyType |
string |
|
creatorType |
string |
|
creatorTargetId |
number |
|
creatorName |
string |
|
created |
string |
|
updated |
string |
|
audiences |
`0 | 1 |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 8: No universe IDs sent to get. 9: Too many universe IDs sent to get, the limit is: |
getUniversesMultigetPermissions
Section titled “getUniversesMultigetPermissions”GET /v1/universes/multiget/permissions
Returns an array of granted and declined permissions related to the universes with the ids in ids for the authenticated user.
Usage
import { fetchApi } from 'rozod';import { getUniversesMultigetPermissions } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesMultigetPermissions, { ids: /* number */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
ids |
number |
Yes | The universe ids. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
universeId |
number |
|
canManage |
boolean |
|
canCloudEdit |
boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 8: No universe IDs sent to get. 9: Too many universe IDs sent to get, the limit is: |
| 401 | 0: Authorization has been denied for this request. |
getUniversesMultigetTeamcreate
Section titled “getUniversesMultigetTeamcreate”GET /v1/universes/multiget/teamcreate
Gets TeamCreate settings for multiple universes specified by Ids
Usage
import { fetchApi } from 'rozod';import { getUniversesMultigetTeamcreate } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesMultigetTeamcreate, { ids: /* number */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
ids |
number |
Yes | The universe Ids. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
isEnabled |
boolean |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | Roblox.Api.Develop.ResponseEnums.TeamCreateErrors.TooManyUniverseIdsSent |
| 401 | 0: Authorization has been denied for this request. |
getUniversesUserPublicPublishEligibility
Section titled “getUniversesUserPublicPublishEligibility”GET /v1/universes/user-public-publish-eligibility
Returns the result of various checks for a user’s eligibility to publish a public universe
Usage
import { fetchApi } from 'rozod';import { getUniversesUserPublicPublishEligibility } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUniversesUserPublicPublishEligibility, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
isEligible |
boolean |
|
hasTransactions |
`“Incomplete” | “NotRequired” |
idVerified |
`“Incomplete” | “NotRequired” |
hasDevex |
`“Incomplete” | “NotRequired” |
getUserGroupsCanmanage
Section titled “getUserGroupsCanmanage”GET /v1/user/groups/canmanage
Gets a list of Groups that a user can manage.
Usage
import { fetchApi } from 'rozod';import { getUserGroupsCanmanage } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUserGroupsCanmanage, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
getUserGroupsCanmanagegamesoritems
Section titled “getUserGroupsCanmanagegamesoritems”GET /v1/user/groups/canmanagegamesoritems
Gets a list of groups a user can manage games or items for.
Usage
import { fetchApi } from 'rozod';import { getUserGroupsCanmanagegamesoritems } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUserGroupsCanmanagegamesoritems, undefined);Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 401 | 0: Authorization has been denied for this request. |
getUserUniverses
Section titled “getUserUniverses”GET /v1/user/universes
Gets a list of universes for the authenticated user.
Usage
import { fetchApi } from 'rozod';import { getUserUniverses } from 'rozod/endpoints/developv1';
const data = await fetchApi(getUserUniverses, { isArchived: /* boolean? */, cursor: /* string? */, sortOrder: /* enum */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
isArchived |
boolean? |
No | Whether or not to return archived games. |
cursor |
string? |
No | The paging cursor for the previous or next page. |
sortOrder |
enum |
Yes | Sorted by universeId |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
previousPageCursor |
string |
|
nextPageCursor |
string |
|
data |
object[] |
See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
id |
number |
|
name |
string |
|
description |
string |
|
isArchived |
boolean |
|
rootPlaceId |
number |
|
isActive |
boolean |
|
privacyType |
string |
|
creatorType |
string |
|
creatorTargetId |
number |
|
creatorName |
string |
|
created |
string |
|
updated |
string |
|
audiences |
`0 | 1 |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | cursor is not valid. |
| 401 | 0: Authorization has been denied for this request. |